Bug 970268 - [abrt] xfce4-xkb-plugin-0.5.5-1.fc18: g_malloc: Process /usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin was killed by signal 5 (SIGTRAP)
[abrt] xfce4-xkb-plugin-0.5.5-1.fc18: g_malloc: Process /usr/libexec/xfce4/pa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-xkb-plugin (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:c8c753e5c3f9937d9fbd7ab8c42...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 16:34 EDT by David Kovalsky
Modified: 2014-03-31 19:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: xfce4-xkb-plugin-0.5.6-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 21:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.45 KB, text/plain)
2013-06-03 16:34 EDT, David Kovalsky
no flags Details
File: cgroup (131 bytes, text/plain)
2013-06-03 16:34 EDT, David Kovalsky
no flags Details
File: core_backtrace (7.36 KB, text/plain)
2013-06-03 16:34 EDT, David Kovalsky
no flags Details
File: dso_list (8.03 KB, text/plain)
2013-06-03 16:34 EDT, David Kovalsky
no flags Details
File: environ (1.54 KB, text/plain)
2013-06-03 16:34 EDT, David Kovalsky
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-03 16:34 EDT, David Kovalsky
no flags Details
File: maps (37.89 KB, text/plain)
2013-06-03 16:34 EDT, David Kovalsky
no flags Details
File: open_fds (445 bytes, text/plain)
2013-06-03 16:34 EDT, David Kovalsky
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-06-03 16:35 EDT, David Kovalsky
no flags Details
File: var_log_messages (384 bytes, text/plain)
2013-06-03 16:35 EDT, David Kovalsky
no flags Details
File: xsession_errors (396 bytes, text/plain)
2013-06-03 16:35 EDT, David Kovalsky
no flags Details

  None (edit)
Description David Kovalsky 2013-06-03 16:34:31 EDT
Description of problem:
Installed latest update for xfce4 keyboard switch applet. 

Moved it to the bar with current keyboard set to Czech, applet immediately crashed. After manually chaning keyboard to en (US), the applet loads, but crashes with keyboard change.


By the way, the update didn't help with the problem of keyboard settings going away when new keyboard is (un)plugged.

Version-Release number of selected component:
xfce4-xkb-plugin-0.5.5-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin '' 2 25362151 xkb-plugin 'Keyboard Layouts' 'Keyboard layouts setup and switch plugin' ''
crash_function: g_malloc
executable:     /usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            10625

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_malloc at gmem.c:164
 #3 g_strndup at gstrfuncs.c:428
 #4 xkb_cairo_draw_label at xkb-cairo.c:159
 #5 xkb_cairo_draw_flag at xkb-cairo.c:84
 #6 xkb_plugin_layout_image_exposed at xkb-callbacks.c:134
 #7 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #12 gtk_widget_event_internal at gtkwidget.c:5017
 #13 gtk_widget_send_expose at gtkwidget.c:4846
 #14 gtk_container_propagate_expose at gtkcontainer.c:2757
 #15 gtk_container_expose at gtkcontainer.c:2661
Comment 1 David Kovalsky 2013-06-03 16:34:35 EDT
Created attachment 756500 [details]
File: backtrace
Comment 2 David Kovalsky 2013-06-03 16:34:38 EDT
Created attachment 756501 [details]
File: cgroup
Comment 3 David Kovalsky 2013-06-03 16:34:40 EDT
Created attachment 756502 [details]
File: core_backtrace
Comment 4 David Kovalsky 2013-06-03 16:34:44 EDT
Created attachment 756503 [details]
File: dso_list
Comment 5 David Kovalsky 2013-06-03 16:34:47 EDT
Created attachment 756504 [details]
File: environ
Comment 6 David Kovalsky 2013-06-03 16:34:50 EDT
Created attachment 756505 [details]
File: limits
Comment 7 David Kovalsky 2013-06-03 16:34:53 EDT
Created attachment 756506 [details]
File: maps
Comment 8 David Kovalsky 2013-06-03 16:34:56 EDT
Created attachment 756507 [details]
File: open_fds
Comment 9 David Kovalsky 2013-06-03 16:35:00 EDT
Created attachment 756508 [details]
File: proc_pid_status
Comment 10 David Kovalsky 2013-06-03 16:35:03 EDT
Created attachment 756509 [details]
File: var_log_messages
Comment 11 David Kovalsky 2013-06-03 16:35:05 EDT
Created attachment 756511 [details]
File: xsession_errors
Comment 12 Igor Slepchin 2013-06-07 19:27:33 EDT
As a workaround, you can set your layout to "cz(qwerty)" instead of "cz_qwerty".

Upstream bug: https://bugzilla.xfce.org/show_bug.cgi?id=10156
Comment 13 David Kovalsky 2013-06-10 06:10:46 EDT
Awesome! This works just as expected. 

Thanks a lot!
Comment 14 Fedora Update System 2013-06-24 19:37:50 EDT
xfce4-xkb-plugin-0.5.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.6-1.fc19
Comment 15 Fedora Update System 2013-06-24 19:38:41 EDT
xfce4-xkb-plugin-0.5.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.6-1.fc18
Comment 16 Fedora Update System 2013-06-24 19:39:03 EDT
xfce4-xkb-plugin-0.5.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.6-1.fc17
Comment 17 Christoph Wickert 2013-06-24 19:39:51 EDT
The crash is similar to the one in bug 965831, so it should be fixed in 0.5.6.
Comment 18 Fedora Update System 2013-06-25 17:16:03 EDT
Package xfce4-xkb-plugin-0.5.6-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-xkb-plugin-0.5.6-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11655/xfce4-xkb-plugin-0.5.6-1.fc19
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-07-03 21:00:45 EDT
xfce4-xkb-plugin-0.5.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-07-04 21:57:21 EDT
xfce4-xkb-plugin-0.5.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-07-04 22:09:07 EDT
xfce4-xkb-plugin-0.5.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.